package it.unicam.cs.tesei.graphs;

public class WeightedEdge implements Weights {

    private final double weight;
    
    
    /**
     * @param weight
     */
    public WeightedEdge(double weight) {
        this.weight = weight;
    }


    @Override
    public double getWeight() {
        // TODO Auto-generated method stub
        return this.weight;
    }


    /* (non-Javadoc)
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        long temp;
        temp = Double.doubleToLongBits(weight);
        result = prime * result + (int) (temp ^ (temp >>> 32));
        return result;
    }


    /* (non-Javadoc)
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (!(obj instanceof WeightedEdge))
            return false;
        WeightedEdge other = (WeightedEdge) obj;
        if (Double.doubleToLongBits(weight) != Double
                .doubleToLongBits(other.weight))
            return false;
        return true;
    }
 
    
}
